from VNA import Vna
vna = Vna('mskzna43')
vna.get_current_traces()
#there was a TRC1 with signal S21
vna.get_list_of_measurement_values('Trc1', "SDAT")
trace = vna.get_list_of_measurement_values('Trc1', "SDAT")
type(trace)
import matplotlib.pyplot as plt

#real part: even entries in trace
s21_i = trace[::2]
#imaginary part: odd entries
s21_q = trace[1::2]

plt.plot(range(len(s21_i)),s21_i)
plt.show(block=False)

plt.plot(range(len(s21_q)),s21_q)
plt.show(block=False)

a = []
for i, q in zip(trace[::2], trace[1::2]):
    a.append(complex(i,q))

amp = [ abs(val) for val in a ]
plt.plot(range(len(amp)), amp)
plt.show(block=False)

phi = [ cmath.phase(val) for val in a ]
plt.plot(range(len(phi)), phi)
plt.show(block=False)

